# Ruboty::Tweetstream

Ruboty handler to stream specified user's tweet from Twitter.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'ruboty-tweetstream'
```

## Usage

```
@ruboty add stream @<username>
@ruboty delete stream <id>
@ruboty list streams
@ruboty list streams --all
```

## Example

```
> @ruboty add stream @kaihar4
'@kaihar4' stream is started.
@kaihar4> test1
@kaihar4> test2
> @ruboty list streams
123: @kaihar4
> @ruboty delete stream 123
'123' stream is stopped.
```

## Setup

Ruboty::Tweetstream requires access tokens.

Please get keys from [here](https://apps.twitter.com/).

```
export CONSUMER_KEY=
export CONSUMER_SECRET=
export ACCESS_TOKEN=
export ACCESS_TOKEN_SECRET=
```
